import { MatchSession } from "../../game/MatchSession";
import { matchSessionAdapter } from "../db/DbAdapter";
import { MatchSessionMongoManager } from "../db/mongo/MatchSessionMongoManager";
import { ServiceBase } from "./ServiceBase";

export class SessionService extends ServiceBase{
  private dbManager: MatchSessionMongoManager = new MatchSessionMongoManager();
  constructor() {
    super()
  }
  
  public createSession(session: MatchSession): any {
    this.dbManager.create(matchSessionAdapter(session));
  }

  public updateSession(session: MatchSession): any {
    this.dbManager.replaceOne({id: session.id}, matchSessionAdapter(session));
  }
}